Update Fieldset
Update Fieldset.
Authentication
AuthorizationBearer
Bearer authentication of the form Bearer <token>, where token is your auth token.
Path parameters
fieldset_id
ID of the Fieldset.
Request
This endpoint expects an object.
archiveReason
Reason the Fieldset was archived
archived
If the Fieldset is archived
availableRegistrationNamingOptions
Registration naming strategies for entities on implementing schemas.
constraint
Updated uniqueness constraint for registered entities of schemas that implement this fieldset. Null removes the constraint.
description
Updated description. When provided, must be at most 1000 characters.
displayName
Updated user-facing name. Must be unique within the organization.
itemIdPrefix
Updated prefix string prepended to generated entity IDs for implementing schemas.
itemType
Updated entity type for implementing schemas (e.g. DNA_SEQUENCE, AA_SEQUENCE).
nameTemplate
Replaces all existing entity name template parts. Setting to null removes the name template and unlocks implementing schemas. Legacy datetimeFormat configurations are not preserved.
systemName
Updated machine-readable identifier for warehouse and API access.
Response
OK
__typename
archiveReason
Reason the Fieldset was archived
archived
If the Fieldset is archived
availableRegistrationNamingOptions
The registration naming strategies available for entities of implementing schemas. Determines how entities are named when registered.
constraint
Uniqueness constraint configuration for registered entities of schemas that implement this fieldset.
Ensures that a specified combination of field values is unique across those entities. Null means no
constraint.
createdAt
DateTime the Fieldset was created
description
The description of this Fieldset.
displayName
The user-facing name of this fieldset.
fieldDefinitions
The field definitions that all schemas implementing this fieldset are required to include.
id
itemIdPrefix
Prefix string prepended to generated entity IDs. Setting this on a fieldset replaces the entity ID prefix on all implementing schemas.
itemType
The entity item type that schemas implementing this Fieldset contain (e.g. DNA_SEQUENCE, AA_SEQUENCE, MIXTURE). Null when the Fieldset declares no base bioentity type.
modifiedAt
DateTime the Fieldset was last modified
nameTemplate
Entity name template that auto-generates names for entities of implementing schemas when they are
registered. Used in conjunction with availableRegistrationNamingOptions. Null means no template.
organization
Organization the Fieldset is in
systemName
The machine-readable identifier for warehouse and API access.
Errors
400
Fieldset Update Request Bad Request Error
403
Fieldset Update Request Forbidden Error
404
Fieldset Update Request Not Found Error
409
Fieldset Update Request Conflict Error
429
Fieldset Update Request Too Many Requests Error
500
Fieldset Update Request Internal Server Error